Page MenuHomePhabricator

[compiler-rt] Set up .arcconfig to point to new Diffusion CRT repository
ClosedPublic

Authored by benhamilton on Nov 27 2017, 8:32 AM.

Details

Summary

We want to automatically copy the appropriate mailing list
as well as #sanitizers for review requests to the compiler-rt repository.

For context, see the proposal and discussion here:

http://lists.llvm.org/pipermail/cfe-dev/2017-November/056032.html

Similar to D40179, I set up a new Diffusion repository with callsign
"CRT" for compiler-rt:

https://reviews.llvm.org/source/compiler-rt/

This explicitly updates compiler-rt's .arcconfig to point to the new
CRT repository in Diffusion, which will let us use Herald rules H270
and H271.

Diff Detail

Event Timeline

benhamilton created this revision.Nov 27 2017, 8:32 AM
Herald added subscribers: Restricted Project, llvm-commits, dberris. · View Herald TranscriptNov 27 2017, 8:32 AM
vitalybuka resigned from this revision.Nov 27 2017, 4:14 PM
krytarowski resigned from this revision.Nov 28 2017, 12:32 AM
sammccall accepted this revision.Dec 6 2017, 9:31 AM
This revision is now accepted and ready to land.Dec 6 2017, 9:31 AM
This revision was automatically updated to reflect the committed changes.